diff --git a/src/main/java/cpw/mods/bootstraplauncher/BootstrapLauncher.java b/src/main/java/cpw/mods/bootstraplauncher/BootstrapLauncher.java
index 9850071..c1ffdb5 100644
--- a/src/main/java/cpw/mods/bootstraplauncher/BootstrapLauncher.java
+++ b/src/main/java/cpw/mods/bootstraplauncher/BootstrapLauncher.java
@@ -150,7 +150,7 @@ public class BootstrapLauncher {
         // Creates a module finder which uses the list of SecureJars to find modules from
         var jarModuleFinder = JarModuleFinder.of(secureJarsArray);
         // Retrieve the boot layer's configuration
-        var bootModuleConfiguration = ModuleLayer.boot().configuration();
+        var bootModuleConfiguration = BootstrapLauncher.class.getModule().getLayer().configuration();
 
         // Creates the module layer configuration for the bootstrap layer module
         // The parent configuration is the boot layer configuration (above)
@@ -164,10 +164,10 @@ public class BootstrapLauncher {
         ClassLoader parentLoader = classloaderIsolation ? null : Thread.currentThread().getContextClassLoader();
         // Creates the module class loader, which does the loading of classes and resources from the bootstrap module layer/configuration,
         // falling back to the boot layer if not in the bootstrap layer
-        var moduleClassLoader = new ModuleClassLoader("MC-BOOTSTRAP", bootstrapConfiguration, List.of(ModuleLayer.boot()), parentLoader);
+        var moduleClassLoader = new ModuleClassLoader("MC-BOOTSTRAP", bootstrapConfiguration, List.of(BootstrapLauncher.class.getModule().getLayer()), parentLoader);
         // Actually create the module layer, using the bootstrap configuration above, the boot layer as the parent layer (as configured),
         // and mapping all modules to the module class loader
-        var layer = ModuleLayer.defineModules(bootstrapConfiguration, List.of(ModuleLayer.boot()), m -> moduleClassLoader);
+        var layer = ModuleLayer.defineModules(bootstrapConfiguration, List.of(BootstrapLauncher.class.getModule().getLayer()), m -> moduleClassLoader);
         // Set the context class loader to the module class loader from this point forward
         Thread.currentThread().setContextClassLoader(moduleClassLoader);
 
